CheckBoxGroupWidget (base API)
Date: 2019-04-05

com.twosigma.beakerx.easyform.formitem.widgets

## Class CheckBoxGroupWidget

- java.lang.Object
- - com.twosigma.beakerx.easyform.EasyFormComponent<com.twosigma.beakerx.widget.Box>
  - - com.twosigma.beakerx.easyform.formitem.widgets.CheckBoxGroupWidget

- All Implemented Interfaces:
    com.twosigma.beakerx.widget.CommFunctionality

      public class CheckBoxGroupWidget
      extends EasyFormComponent<com.twosigma.beakerx.widget.Box>

- - ### Field Summary

    - ### Fields inherited from class com.twosigma.beakerx.easyform.EasyFormComponent

      `widget`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CheckBoxGroupWidget(java.util.Collection<java.lang.String> values)`
    `CheckBoxGroupWidget(java.util.Collection<java.lang.String> values, boolean horizontal)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `checkValue(java.lang.Object value)` Throw IllegalArgumentException if such value can't be set to this component
    `java.util.List<java.lang.String>` | `formatValue(java.lang.Object value)`
    `java.lang.Boolean` | `getHorizontal()`
    `java.lang.String` | `getLabel()`
    `java.lang.Object` | `getValue()`
    `void` | `setHorizontal(java.lang.Boolean horizontal)`
    `void` | `setLabel(java.lang.String label)`
    `void` | `setValue(java.lang.Object value)`
    `void` | `setValues(java.util.Collection<java.lang.String> values)`

    - ### Methods inherited from class com.twosigma.beakerx.easyform.EasyFormComponent

      `addOnChangeListener, addOnInitListener, clearListeners, close, fireChanged, fireInit, getComm, getWidget, isButton, isEnabled, onChange, onInit, registerUpdateValueCallback, removeOnChangeListener, removeOnInitListener, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CheckBoxGroupWidget

          public CheckBoxGroupWidget(java.util.Collection<java.lang.String> values)

    - #### CheckBoxGroupWidget

          public CheckBoxGroupWidget(java.util.Collection<java.lang.String> values,
                                     boolean horizontal)

  - ### Method Detail

    - #### getHorizontal

          public java.lang.Boolean getHorizontal()

    - #### setHorizontal

          public void setHorizontal(java.lang.Boolean horizontal)

    - #### formatValue

          public java.util.List<java.lang.String> formatValue(java.lang.Object value)

      Overrides:
        `formatValue` in class `EasyFormComponent<com.twosigma.beakerx.widget.Box>`

    - #### getLabel

          public java.lang.String getLabel()

      Overrides:
        `getLabel` in class `EasyFormComponent<com.twosigma.beakerx.widget.Box>`

    - #### setLabel

          public void setLabel(java.lang.String label)

      Overrides:
        `setLabel` in class `EasyFormComponent<com.twosigma.beakerx.widget.Box>`

    - #### getValue

          public java.lang.Object getValue()

      Overrides:
        `getValue` in class `EasyFormComponent<com.twosigma.beakerx.widget.Box>`

    - #### setValue

          public void setValue(java.lang.Object value)

      Overrides:
        `setValue` in class `EasyFormComponent<com.twosigma.beakerx.widget.Box>`

    - #### setValues

          public void setValues(java.util.Collection<java.lang.String> values)

    - #### checkValue

          protected boolean checkValue(java.lang.Object value)

      Description copied from class: `EasyFormComponent`
      Throw IllegalArgumentException if such value can't be set to this component
      Overrides:
        `checkValue` in class `EasyFormComponent<com.twosigma.beakerx.widget.Box>`
      Parameters:
        `value` - object with data to be set
      Returns:
        true if value can be set to given component